Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.element
Class ActiveParticipantType

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.ActiveParticipantType

    public class ActiveParticipantType

extends java.lang.Object

Java class for ActiveParticipantType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActiveParticipantType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element name="RoleIDCode" type="{}CodedValueType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="AlternativeUserID" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="NetworkAccessPointID" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="NetworkAccessPointTypeCode">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedByte">
                 <enumeration value="1"/>
                 <enumeration value="2"/>
                 <enumeration value="3"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="UserID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="UserIsRequestor" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="UserName" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`static java.lang.String` | `DB_Active_Participant_Type`
`static java.lang.String` | `DB_Role_ID`

Constructor Summary
`ActiveParticipantType()`
`ActiveParticipantType(java.lang.String userID)`

Method Summary
`org.w3c.dom.Element` | `getActiveParticipantNode()`
`java.lang.String` | `getAlternativeUserID()` Gets the value of the alternativeUserID property.
`java.lang.String` | `getNetworkAccessPointID()` Gets the value of the networkAccessPointID property.
`short` | `getNetworkAccessPointTypeCode()` Gets the value of the networkAccessPointTypeCode property.
`java.lang.String` | `getNetworkAccessPointTypeName()`
`java.util.List` | `getRoleIDCode()` Gets the value of the roleIDCode property.
`java.lang.String` | `getUserID()` Gets the value of the userID property.
`java.lang.String` | `getUserName()` Gets the value of the userName property.
`boolean` | `isUserIsRequestor()` Gets the value of the userIsRequestor property.
`static boolean` | `isValidElement(org.w3c.dom.Element el)`
`void` | `parse(org.w3c.dom.Element el)`
`void` | `setAlternativeUserID(java.lang.String value)` Sets the value of the alternativeUserID property.
`void` | `setNetworkAccessPointID(java.lang.String value)` Sets the value of the networkAccessPointID property.
`void` | `setNetworkAccessPointTypeCode(short value)` Sets the value of the networkAccessPointTypeCode property.
`void` | `setNetworkAccessPointTypeCode(java.lang.String value)`
`void` | `setRoleIDCode(CodedValueType value)`
`void` | `setUserID(java.lang.String value)` Sets the value of the userID property.
`void` | `setUserIsRequestor(boolean value)` Sets the value of the userIsRequestor property.
`void` | `setUserIsRequestor(java.lang.String value)`
`void` | `setUserName(java.lang.String value)` Sets the value of the userName property.
`java.lang.String` | `toHtml(int participantNumber)`
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_Active_Participant_Type

    public static java.lang.String DB_Active_Participant_Type

### DB_Role_ID

    public static java.lang.String DB_Role_ID

Constructor Detail

### ActiveParticipantType

    public ActiveParticipantType()
                          throws javax.xml.parsers.ParserConfigurationException

Throws:
  `javax.xml.parsers.ParserConfigurationException`

### ActiveParticipantType

    public ActiveParticipantType(java.lang.String userID)
                          throws javax.xml.parsers.ParserConfigurationException,
                                 javax.xml.parsers.FactoryConfigurationError

Throws:
  `javax.xml.parsers.ParserConfigurationException`
  `javax.xml.parsers.FactoryConfigurationError`

Method Detail

### getRoleIDCode

    public java.util.List getRoleIDCode()

  Gets the value of the roleIDCode property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the roleIDCode property.

  For example, to add a new item, do as follows:

          getRoleIDCode().add(newItem);

  Objects of the following type(s) are allowed in the list `CodedValueType`

### setRoleIDCode

    public void setRoleIDCode(CodedValueType value)

### getAlternativeUserID

    public java.lang.String getAlternativeUserID()

  Gets the value of the alternativeUserID property.

  Returns:
    possible object is `String`

### setAlternativeUserID

    public void setAlternativeUserID(java.lang.String value)

  Sets the value of the alternativeUserID property.

  Parameters:
    `value` - allowed object is `String`

### getNetworkAccessPointID

    public java.lang.String getNetworkAccessPointID()

  Gets the value of the networkAccessPointID property.

  Returns:
    possible object is `String`

### setNetworkAccessPointID

    public void setNetworkAccessPointID(java.lang.String value)

  Sets the value of the networkAccessPointID property.

  Parameters:
    `value` - allowed object is `String`

### getNetworkAccessPointTypeCode

    public short getNetworkAccessPointTypeCode()

  Gets the value of the networkAccessPointTypeCode property.

  Returns:
    possible object is `Short`

### getNetworkAccessPointTypeName

    public java.lang.String getNetworkAccessPointTypeName()

### setNetworkAccessPointTypeCode

    public void setNetworkAccessPointTypeCode(short value)
                                       throws ATNAException

  Sets the value of the networkAccessPointTypeCode property.

  Parameters:
    `value` - allowed object is `Short`
  Throws:
    `ATNAException`
    `SyslogException`

### setNetworkAccessPointTypeCode

    public void setNetworkAccessPointTypeCode(java.lang.String value)
                                       throws ATNAException

  Throws:
    `ATNAException`

### getUserID

    public java.lang.String getUserID()

  Gets the value of the userID property.

  Returns:
    possible object is `String`

### setUserID

    public void setUserID(java.lang.String value)

  Sets the value of the userID property.

  Parameters:
    `value` - allowed object is `String`

### isUserIsRequestor

    public boolean isUserIsRequestor()

  Gets the value of the userIsRequestor property.

  Returns:
    possible object is `Boolean`

### setUserIsRequestor

    public void setUserIsRequestor(boolean value)

  Sets the value of the userIsRequestor property.

  Parameters:
    `value` - allowed object is `Boolean`

### setUserIsRequestor

    public void setUserIsRequestor(java.lang.String value)
                            throws ATNAException

  Throws:
    `ATNAException`

### getUserName

    public java.lang.String getUserName()

  Gets the value of the userName property.

  Returns:
    possible object is `String`

### setUserName

    public void setUserName(java.lang.String value)

  Sets the value of the userName property.

  Parameters:
    `value` - allowed object is `String`

### toXML

    public java.lang.String toXML()

### toHtml

    public java.lang.String toHtml(int participantNumber)

### getActiveParticipantNode

    public org.w3c.dom.Element getActiveParticipantNode()

### isValidElement

    public static boolean isValidElement(org.w3c.dom.Element el)

### parse

    public void parse(org.w3c.dom.Element el)
               throws ATNAException

  Throws:
    `ATNAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD